<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*" />
	<xsl:include href="buttons.xsl" />
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID" />
		<html>
<!-- av-137 -->
			<head>
				<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
				<xsl:apply-templates select="META-TAGS" />
				<style>img { behavior:url('images/pngbehavior.htc'); }</style>
				<link href="css/styles.css" rel="stylesheet" type="text/css" />
			</head>
			<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0" bgcolor="#FFFFFF">
				<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" valign="top" background="images/bg.gif">
					<tr>
						<td background="images/bg.gif" height="273">
							<table width="100%" height="273" border="0" cellpadding="0" cellspacing="0">
								<tr>
									<td valign="top" background="images/header.jpg" style="background-repeat:no-repeat">
										<table width="100%" height="62" border="0" cellpadding="0" cellspacing="0">
											<tr>
												<td width="24" rowspan="2">
													<img src="images/blank.gif" width="1" height="1" />
												</td>
												<td width="39" rowspan="2" valign="bottom" background="images/menu_left_bg.gif" style="background-position:bottom">
													<img src="images/menu_left.png" width="39" height="62" />
												</td>
												<td height="44" align="left" background="images/menu_bg.jpg" bgcolor="#DCDCDC" >
													<!-- MENU -->
													<!--CALL TOP-MENU -->
																
                                                <xsl:call-template name="TOP-MENU" />
		
													<!-- END MENU -->
												</td>
												<td width="56" rowspan="2" valign="bottom" background="images/menu_right_bg.gif" style="background-position:bottom; background-repeat:repeat-x">
													<img src="images/menu_right.png" width="56" height="62" />
												</td>
											    <td width="123" rowspan="2" valign="bottom" style="background-position:bottom; background-repeat:repeat-x"></td>
											</tr>
											<tr>
												<td>
													<img src="images/menu_shadow.png" width="100%" height="18" />
												</td>
											</tr>
										</table>
										<table width="100%" border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td width="45" height="45">
													<img src="images/blank.gif" width="1" height="1" />
												</td>
												<td width="56">
													<img src="images/blank.gif" width="1" height="1" />
												</td>
												<td>
													<img src="images/blank.gif" width="1" height="1" />
												</td>
												<td colspan="2">
													<img src="images/blank.gif" width="1" height="1" />
												</td>
											</tr>
											<tr>
												<td width="45">
													<img src="images/blank.gif" width="1" height="1" />
												</td>
												<td width="56">
													<a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="7" border="0" /></a>
												</td>
												<td align="left" valign="middle">
													<table width="300" cellspacing="0">
													  <tr>
													<td class="company" valign="middle" align="left">
														<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
													</td>
													</tr>
												  </table>
												</td>
												<td align="right" valign="middle">
												<table width="300"><tr>
												<td align="right" valign="middle" class="slogan">
														<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
													
												</td>
												</tr></table>
													
												</td>
												<td width="50" align="right">
													<img src="images/blank.gif" width="1" height="1" />
												</td>
											</tr>
									  </table>
									</td>
								</tr>
							</table>
							
							</td></tr>
							<tr><td valign="top" height="100%">
							
							<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
								<tr>
									<td width="55">
										<img src="images/blank.gif" width="1" height="1" />
									</td>
									<td valign="top" height="100%">
										<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#C5C5C5">
											<tr>
												<td width="214" valign="top" background="images/content_left.jpg">
													<table width="214" height="300" border="0" cellpadding="0" cellspacing="0" background="images/content_left_top.jpg"
														style="background-repeat:no-repeat">
														<tr>
															<td valign="top">
																<table width="214" height="10" border="0" cellpadding="0" cellspacing="0" valign="top">
																	<tr>
																		<td>
																			<img src="images/blank.gif" width="1" height="1" />
																		</td>
																	</tr>
																</table>
																<table width="177" border="0" align="right" cellpadding="0" cellspacing="0">
																	<tr>
																		<td>
																			<img src="images/sub_top.png" width="177" height="28" />
																		</td>
																	</tr>
																	<tr>
																		<td height="246" valign="top" style="background:url(images/submenu_bg.jpg);">
																			<!--2ndmenu /-->
																			<!-- CALL SUB-MENU -->
																			<xsl:call-template name="SUB-MENU">
																				<xsl:with-param name="pageID" select="@ID" />
																			</xsl:call-template>
																			<!--/ 2ndmenu-->
																		</td>
																	</tr>
																	<tr>
																		<td>
																			<img src="images/sub_bottom.png" width="177" height="33" />
																		</td>
																	</tr>
															  </table>
															</td>
														</tr>
													</table>
												</td>
												<td background="images/content_top.jpg" style="background-repeat:repeat-x;padding-left:45px;padding-right:20px;"
													valign="top" height="100%">
													<table width="93%" height="100%" border="0" align="right" cellpadding="0" cellspacing="0" valign="top">
														<tr>
															<td height="25" colspan="2">
																<img src="images/blank.gif" width="1" height="1" />
															</td>
														</tr>
														<tr>
															<td colspan="2" height="40">
																<table width="0" border="0" cellpadding="0" cellspacing="0">
																	<tr>
																		<td class="text-header">
																			<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
																		</td>
																		<td width="40" align="center">
																			<img src="images/title_point.gif" width="19" height="19" />
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
														<tr>
															<td colspan="2" valign="top" width="100%" height="100%">
																<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
																	<tr>
																		<td name="SB_stretch" valign="top" class="pageContent" width="100%" height="100%">
																			<!-- CONTENT -->
																			<xsl:apply-templates select="PAGE-CONTENT" />
																			<!-- END CONTENT -->
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
												</td>
												<td width="52" valign="top" background="images/content_right.jpg">
													<img src="images/content_right_top.jpg" width="52" height="206" />
												</td>
											</tr>
											<tr>
												<td height="53" align="left" background="images/content_bottom.jpg">
													<img src="images/content_left_bottom.jpg"  height="53" />
												</td>
												<td background="images/content_bottom.jpg">
													<img src="images/blank.gif" width="1" height="1" />
												</td>
												<td>
													<img src="images/content_right_bottom.jpg" width="52" height="53" />
												</td>
											</tr>
										</table>
									</td>
									<td width="38">
										<img src="images/blank.gif" width="1" height="1" />
									</td>
								</tr>
							</table>
							
							</td></tr>
							<tr><td height="70">
							
							<table width="100%">
								<tr>
									<td align="center">
										<!-- CALL BOTTOM-MENU -->
										<xsl:call-template name="BOTTOM-MENU" />
										<!-- END BOTTOM-MENU -->
									</td>
								</tr>
								<tr>
									<td height="30" align="center">
										<span class="copyright">
											<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
										</span>
									</td>
								</tr>
							</table>
							<table width="780" height="1" border="0" cellpadding="0" cellspacing="0"><tr><td></td></tr></table>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<!--TOP-MENU-->
	<xsl:template name="TOP-MENU">
		<table height="44" border="0" cellpadding="0" cellspacing="0" background="images/menu_bg.jpg"
			style="background-position:bottom; background-repeat:repeat-x">
			<tr>
				<xsl:apply-templates select="MENU" mode="top" />
			</tr>
		</table>
	</xsl:template>
	<!--SUB-MENU-->
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID" />
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" 
					 valign="top">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub" />
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID" />
				<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" 
					 valign="top">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub" />
				</table>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!--BOTTOM-MENU-->
	<xsl:template name="BOTTOM-MENU">
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<xsl:apply-templates select="MENU" mode="bottom" />
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM" mode="bottom" />
	</xsl:template>
	<xsl:template match="MENU-ITEM" mode="bottom">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]">
				<td align="center">
					<a href="{@HREF}" class="abmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:when>
			<!-- when active-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td align="center">
					<span href="{@HREF}" class="abmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</span>
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td align="center">
					<a href="{@HREF}" class="bmenu">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes" />
					</a>
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="position()!=last()">
			<td>
				<img src="images/small_line.gif" width="1" height="8" />
			</td>
		</xsl:if>
	</xsl:template>
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content">
				<xsl:value-of select="." disable-output-escaping="yes"/>
			</xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags" />
	</xsl:template>
</xsl:stylesheet>
