<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>
<!-- LAYOUT -->
<xsl:template match="LAYOUT">
<xsl:variable name="cID" select="@ID"/>

<html>
<!-- av-147 -->
<head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
	<xsl:apply-templates select="META-TAGS"/>
	<link href="css/styles.css" rel="stylesheet" type="text/css" />
</head>

<body bgcolor="#FFFFFF" style="	margin:0px;">
	<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="37"><img name="" src="" width="37" height="1" alt=""/></td>
    <td  width="100%" height="100%">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
<tr>
	<td width="100%" height="100%" valign="top">
		<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" >
		<tr>
			<td width="195" height="90">
				<table width="183" height="70" border="0" cellpadding="0" cellspacing="5">
				<tr>
					<td width="59" tyle="padding-left:15px;padding-right:15px; "><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
					<td width="124" class="company" style="padding-right:15px; "><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				</table>
			</td>
			<td valign="bottom" height="90">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border-top:solid; border-color:#cccccc; border-top-width:1px; border-left:solid;border-color:#cccccc; border-left-width:1px;">
				<tr>
					<td align="left">
					<!-- MENU -->
					<!--CALL TOP-MENU -->
						<xsl:call-template name="TOP-MENU"/>
					<!-- END MENU -->		
					</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td width="195" valign="top">
			<!-- CALL SUB-MENU -->
				<xsl:call-template name="SUB-MENU">
					<xsl:with-param name="pageID" select="@ID"/>
				</xsl:call-template>
			</td>
			<td valign="top" width="100%" height="100%"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td height="156" background="images/header_bg.jpg"><table width="100%" height="156" border="0" cellpadding="0" cellspacing="0" background="images/header.jpg" style="background-repeat:no-repeat">
                        <tr>
                          <td><img src="images/blank.gif" width="1" height="1" /></td>
                        </tr>
                    </table></td>
                  </tr>
                  <tr>
                    <td height="61" background="images/bar_bg.jpg"><table width="100%" height="61" border="0" cellpadding="0" cellspacing="0" background="images/bar.jpg" style="background-repeat:no-repeat">
                        <tr>
                          <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                        </tr>
                    </table></td>
                  </tr>
                </table></td>
              </tr>
              <tr>
                <td height="100%" valign="top"><table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style=" border-left: 1px solid #cccccc;">
                  <tr>
                    <td colspan="2" valign="top" style="padding:30px;" width="100%" height="100%"><table cellpadding="0" cellspacing="0">
                        <tr>
                          <td style="padding-right:13px;"><div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
                          <td><img src="images/title_point.gif" width="17" height="17" /></td>
                        </tr>
                      </table>
                        <table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td valign="top" width="100%" height="100%" class="pageContent" name="SB_stretch"><!-- CONTENT -->
                                <xsl:apply-templates select="PAGE-CONTENT"/>
                                <!-- END CONTENT -->
                            </td>
                          </tr>
                      </table></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
		</tr>
	  </table>
	</td>
</tr>
<tr>
      <td height="1" bgcolor="#CCCCCC"></td>
</tr>
<tr>
  <td height="20"></td>
</tr>
<tr>
       <td height="30" align="center"><!-- CALL BOTTOM-MENU -->
          <xsl:call-template name="BOTTOM-MENU"/> </td>
</tr>
<tr>
 <td height="41" align="center" valign="top" style="padding-top:5px;"><span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></td>
</tr>
</table></td>
    <td width="31"><img name="" src="" width="31" height="1" alt=""/></td>
  </tr>
</table>
</body>
</html>
</xsl:template>


<!--TOP-MENU-->
<xsl:template name="TOP-MENU">
	<table height="44" border="0" align="left" cellpadding="0" cellspacing="0" background="images/menu_bg.gif" style="background-position:bottom; background-repeat:repeat-x">
	<tr>
		<xsl:apply-templates select="MENU" mode="top"/>
	 </tr>
	 </table>
</xsl:template>


<!--SUB-MENU-->  
<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<table width="195" border="0" cellpadding="0" cellspacing="1" bgcolor="#FFFFFF">
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</table>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<table width="195" border="0" cellpadding="0" cellspacing="1" bgcolor="#FFFFFF">
   				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</table>
		</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!--BOTTOM-MENU-->
<xsl:template name="BOTTOM-MENU">
	<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<xsl:apply-templates select="MENU" mode="bottom"/>
	</tr>
    </table>
</xsl:template>


<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>


<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
	<!-- when vizited inside-->
		<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		<td><img src="images/foot_button.gif" /></td>
  			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>     
		</xsl:when>
	<!-- when active-->
		
		<xsl:otherwise>
		<td><img src="images/foot_button.gif" /></td>
			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		</xsl:otherwise>
	</xsl:choose>
   		
   	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>

<!--META-TAGS-->
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>

<!--PAGE-CONTENT-->
<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>	
