<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<HTML>
<!-- av-178 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<body style="margin:0;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/lbg.gif">
  <tr>
    <td height="100%" align="center" valign="top" background="images/b_l.gif" style="background-repeat:repeat-x; background-position: top; padding-left:80px; padding-right:80px;">
	<table width="100%"  height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" height="87">
		<div style="width:620px; "></div>
        </td>
      </tr>
      <tr>
        <td valign="top" height="41">
		<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" height="41">
          <tr>
            <td width="10" background="images/menu_bg.gif">
			<div style="width:10px; height:0px;"><span></span></div>
			</td>
			<td align="left" background="images/menu_bg.gif">
			<table border="0" cellspacing="0" cellpadding="0">
                <tr>
					<xsl:call-template name="TOP-MENU"/>
				</tr>
            </table>
			</td>
          </tr>
        </table>
		</td>
      </tr>
      <tr>
        <td valign="top" height="150" ><table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td height="150" background="images/header_bg.jpg">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="150" align="left" background="images/header.jpg" style="padding-left:30px; background-position:right; background-repeat:no-repeat;"><table  border="0" align="left" cellpadding="0" cellspacing="0">
                      <tr>
                        <td rowspan="2" style="padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                        <td align="left" valign="bottom"><span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/> </span></td>
                      </tr>
                      <tr>
                        <td align="left" valign="top"><div class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                      </tr>
                  </table></td>
                  </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td valign="top" height="100%"><table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr> 
            <td valign="top" bgcolor="#FFFFFF" height="100%"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="6%"><img src="" width="40" height="0" alt="" /></td>
                  <td valign="top" height="100%"><div style="width:0px; height:20px;"><span></span></div>
                      <table width="100%" height="100%"  border="0" align="center" cellpadding="0" cellspacing="0">
                        <tr>
                          <td height="32"><table border="0" cellspacing="0" cellpadding="0">
                              <tr>
                                <td class="text-header style3"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                                <td width="30" height="25" class="text-header"><div align="right"><img src="images/t_icon.gif" /></div></td>
                              </tr>
                          </table></td>
                        </tr>
                        <tr>
                          <td valign="top" class="pageContent" name="SB_stretch" width="100%" height="100%"><xsl:apply-templates select="PAGE-CONTENT"/>
                          
                          </td>
                        </tr>
                    </table></td>
                  <td width="2%"><img src="" width="40" height="0" alt="" /></td>
                </tr>
            </table></td>
            <td width="138" valign="top" background="images/submenu_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="25"><img name="" src="" width="138" height="0" alt="" /></td>
                </tr>
              </table>
                <table width="90%"  border="0" align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td width="8%"><img src="" width="8" height="0" alt="" /></td>
                    <td width="86%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                        <xsl:call-template name="SUB-MENU">
                          <xsl:with-param name="pageID" select="@ID"/>
                          
                        </xsl:call-template>
                    </table></td>
                    <td width="6%"><img name="" src="" width="8" height="0" alt="" /></td>
                  </tr>
              </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" height="88">
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
    <tr>
  		<td height="88" background="images/bmenu_bg.gif"><div align="center"><span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></div>
  		</td>
  	</tr>
    </table></td>
  </tr>
</table>
</body>
</HTML>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:1px; "><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>

	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>